Ranlux3UniformRng Class Reference

Uniform random number generator. More...

`#include <ql/math/randomnumbers/ranluxuniformrng.hpp>`

## Public Types

typedef Sample< Real > | sample_type

## Public Member Functions

| Ranlux3UniformRng (Size seed=19780503U)
sample_type | next () const

## Detailed Description

Uniform random number generator.

M. Luescher's "luxury" random number generator

Implementation is a proxy for the corresponding boost random number generator. For more detail see the boost documentation and: M.Luescher, A portable high-quality random number generator for lattice field theory simulations, Comp. Phys. Comm. 79 (1994) 100

Available luxury levels: Ranlux3: Any theoretically possible correlations have very small change of being observed. Ranlux4: highest possible luxury.